PHP is amongst the most widely used general-purpose server-side programming languages. It’s extremely popular because it is free software, which you can use to develop interactive sites such as community websites, e-shops or online learning portals instead of static HTML-based websites. A PHP module must be present on the server where a PHP-powered site is hosted so that its PHP code can be ‘deciphered’. Since there aren’t any license taxes for this kind of module and the language itself provides limitless possibilities for the web-based apps that you build, there’re hundreds of millions of PHP-powered sites. Furthermore, there are a vast number of PHP scripts, which you can use for your websites without needing to have any coding know-how. Considering the fact that there’re a handful of PHP versions, you must verify if the exact same version that you used whilst setting up your website is activated on the web server as well.

PHP 4 and PHP 5 Support in Shared Web Hosting

We’ve made a conscious decision not to restrict our current and future customers from choosing what PHP version their sites will be using, which means that in case you get a shared web hosting package from us, you’ll be able to select between versions 5.5, 5.4, 5.3, 5.2 and 4, not only for the account as a whole, but also for each single domain that you host. This can be accomplished with just one single click from our custom-created Hepsia hosting Control Panel via which all shared web hosting accounts are managed, so you won’t need to possess any coding or technical capabilities. You’ll be able to run sites built with both new and old PHP-based scripts without having to cope with any obstructions, so if you want to change your current hosting supplier and switch over to us, you can rest assured that all the sites that you’ve developed over the years will continue to run flawlessly.

PHP 4 and PHP 5 Support in Semi-dedicated Hosting

Even in case your websites were created with an earlier version of PHP, you will be able to host them in a semi-dedicated server account from us, as we support multiple versions running simultaneously on our semi-dedicated servers and each of them can be activated for your account with just one click of the mouse via our custom-built Hepsia hosting Control Panel. Besides the newest PHP 5.4 and PHP 5.5, we also offer 5.2, 5.3 and the older PHP 4, which has already been dropped by the majority of hosting providers, but we strongly hold that you should not be compelled to modify a site that took years to build, since older scripting language syntax doesn’t automatically mean security gaps. On the contrary, a correctly maintained site using PHP 4 can be more secure than a badly maintained one using PHP 5. For your convenience’s sake, we’ll also provide you with the possibility to pick a different version of PHP for each single site within your account.